Bug 907946 - GtkEntryCompletion for GtkCombobox's GtkEntry doesn't render correctly if loaded from the glade file
GtkEntryCompletion for GtkCombobox's GtkEntry doesn't render correctly if loa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 907939 (view as bug list)
Depends On:
Blocks: 875432
  Show dependency treegraph
 
Reported: 2013-02-05 10:08 EST by Vratislav Podzimek
Modified: 2015-06-29 07:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:45:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer that needs the combobox.glade file in the same directory (577 bytes, text/x-python)
2013-02-05 10:10 EST, Vratislav Podzimek
no flags Details
glade file for the reproducer (6.64 KB, application/x-glade)
2013-02-05 10:11 EST, Vratislav Podzimek
no flags Details
no-glade reproducer for the working (non glade) case (1.93 KB, text/x-python)
2013-02-05 10:12 EST, Vratislav Podzimek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 712639 None None None Never

  None (edit)
Description Vratislav Podzimek 2013-02-05 10:08:29 EST
Description of problem:
When using GtkCombobox with GtkEntry and GtkEntryCompletion for it loaded from the .glade file, the completion is not rendered correctly (doesn't appear).


Version-Release number of selected component (if applicable):
gtk3-3.6.2-1
glade3-3.8.3-1

works with:
gtk3-3.4.4-1.fc17.x86_64
glade-3.14.1-1.fc18.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. run the attached reproducer (combobox_test.py)
2. try to type 'f' to the upper combobox's entry
  
Actual results:
only some "shadow" appears

Expected results:
completion appears

Additional info:
combobox_noglade.py (attached) works as expected (try to type 'a')
Comment 1 Vratislav Podzimek 2013-02-05 10:10:48 EST
Created attachment 693403 [details]
reproducer that needs the combobox.glade file in the same directory
Comment 2 Vratislav Podzimek 2013-02-05 10:11:09 EST
Created attachment 693404 [details]
glade file for the reproducer
Comment 3 Vratislav Podzimek 2013-02-05 10:12:18 EST
Created attachment 693405 [details]
no-glade reproducer for the working (non glade) case
Comment 4 Vratislav Podzimek 2013-04-09 08:26:29 EDT
*** Bug 907939 has been marked as a duplicate of this bug. ***
Comment 5 David Shea 2013-11-18 17:55:54 EST
I found a workaround (call set_text_column on the GtkEntryCompletion object) and submitted an upstream bug.
Comment 6 Fedora End Of Life 2015-05-29 04:53:11 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 07:45:41 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.